Subject: bug#68618: 29.1; Tramp remote process fails in Eshell

From: Jim Porter <[email-masked]>
Date: Sat, 20 Jan 2024 11:00:46 -0800

On 1/20/2024 10:30 AM, Sean Devlin wrote:
> I think Tramp and/or Eshell need to make sure this /bin/sh subprocess is
> started with the local executable path and not the path from the remote
> host.

I believe this is the same issue as bug#65551, which is fixed in 29.2. 
Could you upgrade and try it out?